import { useState, useEffect } from 'react'
import { Input } from '@tarojs/components'
import './index.scss'

export default function ShangYe () {

  const [Years, setYears] = useState([])
  const [CurrentYearsName, setCurrentYearsName] = useState('30年')
  const [CurrentYearsId, setCurrentYearsId] = useState(30)

  useEffect(() => {
    if (!Years.length) {
      let Arr = []
      for (let n = 30; n > 0; n--) {
        Arr.push({ name: `${n}年`, id: n })
      }
      setYears(Arr)
    }
  }, [Years])

  return (
    <view className='components ShangYe'>

      <view className='flex-h'>
        <text>计算方式</text>
        <view className='flex-item'>

        </view>
      </view>

      <view className='flex-h'>
        <text>商贷金额</text>
        <view className='flex-item'>
          <Input></Input>
        </view>
        <text>万</text>
      </view>

      <view className='flex-h'>
        <text>商贷年限</text>
        <view className='flex-item'>
          <picker value={0} range-key='name' range={Years}>{CurrentYearsName}</picker>
        </view>
        <text className='iconfont icon-jiantouright'></text>
      </view>

    </view>
  )
}
